Bug 89979 - [Chromium] Tests still crashing for Linux Release as well.
Summary: [Chromium] Tests still crashing for Linux Release as well.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 07:03 PDT by mstarzinger
Modified: 2012-07-03 01:18 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.79 KB, patch)
2012-06-26 07:09 PDT, mstarzinger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mstarzinger 2012-06-26 07:03:23 PDT
[Chromium] Tests still crashing for Linux Release as well.
Comment 1 mstarzinger 2012-06-26 07:09:50 PDT
Created attachment 149529 [details]
Patch
Comment 2 mstarzinger 2012-06-26 07:12:45 PDT
We still see these two tests failing for Linux Release as well (not only Linux Debug) for integration builders on the V8 waterfall.

http://build.chromium.org/p/client.v8/builders/Webkit%20Linux/builds/4337
http://build.chromium.org/p/client.v8/builders/Webkit%20Linux%2064/builds/4324
Comment 3 Ryosuke Niwa 2012-06-26 08:47:39 PDT
Huh? Please don't assign me to bugs.
Comment 4 mstarzinger 2012-06-26 11:30:39 PDT
Sorry for that, I am not (yet) familiar with the WebKit workflow.
Comment 5 Tony Chang 2012-06-26 13:43:54 PDT
Comment on attachment 149529 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149529&action=review

You might want to coordinate with the webkit gardener rather than going through a full code review for this type of change.

> LayoutTests/platform/chromium/TestExpectations:3422
>  BUGCR121442 LINUX DEBUG : plugins/iframe-shims.html = CRASH
> +BUGCR121442 LINUX RELEASE : plugins/iframe-shims.html = PASS CRASH

Does the test sometimes pass? It would be good to have that information as a comment on the bug, e.g., a link to the flakiness dashboard.  A stack trace on the bug is also useful).
Comment 6 mstarzinger 2012-06-28 11:42:55 PDT
(In reply to comment #5)
> You might want to coordinate with the webkit gardener rather than going through a full code review for this type of change.

Thanks for the hint. I will contact the WebKit gardener instead of uploading a patch myself next time.

> > LayoutTests/platform/chromium/TestExpectations:3422
> >  BUGCR121442 LINUX DEBUG : plugins/iframe-shims.html = CRASH
> > +BUGCR121442 LINUX RELEASE : plugins/iframe-shims.html = PASS CRASH
> 
> Does the test sometimes pass? It would be good to have that information as a comment on the bug, e.g., a link to the flakiness dashboard.  A stack trace on the bug is also useful).

It consistently passes on Chromium buildbots and when run locally on my machine, but it consistently crashes on the V8 buildbots (for Linux Release). The relevant information (link to V8 buildbots and flakiness dashboard) is on the Chromium issue tracker.
Comment 7 WebKit Review Bot 2012-07-03 01:17:59 PDT
Comment on attachment 149529 [details]
Patch

Clearing flags on attachment: 149529

Committed r121738: <http://trac.webkit.org/changeset/121738>
Comment 8 WebKit Review Bot 2012-07-03 01:18:03 PDT
All reviewed patches have been landed.  Closing bug.